Page MenuHomePhabricator

Don't pollute history with map hashes
Closed, ResolvedPublic

Description

We should use history.replaceState() when setting the map hash to avoid filling history with more entries on every drag/zoom and making the back button less useful.

Event Timeline

MaxSem created this task.Sep 7 2016, 12:36 AM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 7 2016, 12:36 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Will be fixable once T135692, the day I figure out how to work with https://phabricator.wikimedia.org/diffusion/GOJR/ & Arcanist.

Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.Sep 9 2016, 2:56 AM
Yurik triaged this task as High priority.Sep 14 2016, 8:37 PM
Yurik moved this task from Backlog to To-do on the Maps-Sprint board.
Jarekt added a subscriber: Jarekt.Oct 27 2016, 3:30 AM

yes please that is a very annoying feature

Yurik added a subscriber: Yurik.Oct 27 2016, 3:38 AM

@JGirault can we simply not update URL until we figure out how to do "replace" ?

@Yurik that's very simple

Change 318425 had a related patch set uploaded (by JGirault):
Disable hash update temporarily, to avoid polluting browser history

https://gerrit.wikimedia.org/r/318425

JGirault moved this task from To-do to Needs review on the Maps-Sprint board.Oct 27 2016, 9:23 PM

Change 318425 merged by jenkins-bot:
Disable hash update temporarily, to avoid polluting browser history

https://gerrit.wikimedia.org/r/318425

Change 318457 had a related patch set uploaded (by Yurik):
Disable hash update temporarily, to avoid polluting browser history

https://gerrit.wikimedia.org/r/318457

Change 318457 merged by jenkins-bot:
Disable hash update temporarily, to avoid polluting browser history

https://gerrit.wikimedia.org/r/318457

Yurik closed this task as Resolved.Oct 27 2016, 11:41 PM

The problem has been temporarily resolved, but we should re-enable dynamic hash update once url replace is done in core.

Deskana moved this task from Needs review to Done on the Maps-Sprint board.Apr 19 2017, 4:29 PM